## net.dontdrinkandroot.wicket.bootstrap.css
Class InvertibleIconClass

    java.lang.Object
      net.dontdrinkandroot.wicket.bootstrap.css.InvertibleIconClass

All Implemented Interfaces:
  java.io.Serializable, net.dontdrinkandroot.wicket.css.CssClass

    public class InvertibleIconClass

extends java.lang.Object
implements net.dontdrinkandroot.wicket.css.CssClass

See Also:
  Serialized Form

Constructor Summary
`InvertibleIconClass(IconClass iconClass)`
`InvertibleIconClass(IconClass iconClass, boolean inverted)`

Method Summary
`java.lang.String` `getClassString()`
`void` `invert()`
`boolean` `isInverted()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvertibleIconClass

    public InvertibleIconClass(IconClass iconClass)

### InvertibleIconClass

    public InvertibleIconClass(IconClass iconClass,
                               boolean inverted)

Method Detail

### getClassString

    public java.lang.String getClassString()

  Specified by:
    `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`

### invert

    public void invert()

### isInverted

    public boolean isInverted()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.